Search found 1730 matches

by freedman
Wed Jan 13, 2021 5:08 am
Forum: Python scripting and macros
Topic: Messing around with the topo-naming issue
Replies: 30
Views: 1341

Re: Messing around with the topo-naming issue

The macro works while in Sketcher and is very useful. The pic (left) I sketch in a rectangle on the base sketch and get a topo-naming error. As usual the model freezes (exclamation point in tree) and the pocket does not take place. I stay in sketcher and switch the macro button to "Sketch pick auto"...
by freedman
Tue Jan 12, 2021 6:11 am
Forum: Python scripting and macros
Topic: Messing around with the topo-naming issue
Replies: 30
Views: 1341

Re: Messing around with the topo-naming issue

Updated macro 1/12/21 ............. I posted the wrong version previously, sorry I am reposting this experimental macro. I removed the macro for a while but now it works fine. I suggest testing it by creating some new basic models, something you can break by creating a topo-error and then try to fix...
by freedman
Sat Jan 09, 2021 1:09 am
Forum: Python scripting and macros
Topic: Messing around with the topo-naming issue
Replies: 30
Views: 1341

Re: Messing around with the topo-naming issue

I'm going to take another look at the macro "reface" and try to make it easier and safer to use. The concept behind it: The macro is simple in that it just allows placing the selected sketch on all available faces and we can move the sketch (visually) without doing a recompute. The trick that I foun...
by freedman
Sat Jan 09, 2021 12:39 am
Forum: Help on using FreeCAD
Topic: Space bar has quit woking on new models in 0.19
Replies: 5
Views: 194

Re: Space bar has quit woking on new models in 0.19

Thanks all, I erased the config directory and reinstalled 0.19235 and everything looks good. I must have messed up the FreeCAD program with some prototype code.
by freedman
Fri Jan 08, 2021 8:54 pm
Forum: Python scripting and macros
Topic: Messing around with the topo-naming issue
Replies: 30
Views: 1341

Re: Messing around with the topo-naming issue

Note: I am removing the macro, I have a persistent problem with the space bar and the macro might be related.
by freedman
Fri Jan 08, 2021 7:45 pm
Forum: Help on using FreeCAD
Topic: Space bar has quit woking on new models in 0.19
Replies: 5
Views: 194

Re: Space bar has quit woking on new models in 0.19

I did reset preferences, I called it the config file in my writings. I can open a new file, make body and sketch and the space bar is not working. I also wonder: A macro I run copies sketch property.base and creates a new one, I noticed that in the property view "Visibility" is right next to the new...
by freedman
Fri Jan 08, 2021 7:15 pm
Forum: Help on using FreeCAD
Topic: Space bar has quit woking on new models in 0.19
Replies: 5
Views: 194

Space bar has quit woking on new models in 0.19

I have been doing lots of mapping stuff in the macro world so I'm not sure exactly the circumstances but it appears the space bar has stopped working in 0.19. If I open the model in 0.18 the space bar works, if I open it in 0.19 it won't work. I have reset my config file using 0.19 and that didn't c...
by freedman
Fri Jan 08, 2021 9:04 am
Forum: Python scripting and macros
Topic: Messing around with the topo-naming issue
Replies: 30
Views: 1341

Re: Messing around with the topo-naming issue

I probably should add here that this is experimental territory , I'm sure that if you open large files they will probably get trashed. This is best used on new simple models that are very basic, something created just to watch the faces get remapped. I would say this is for pro users only . OK! I ma...
by freedman
Wed Dec 30, 2020 9:21 pm
Forum: Python scripting and macros
Topic: How to read a sketch support feature name
Replies: 2
Views: 119

Re: How to read a sketch support feature name

Thanks, that got me on track. Much more indeed. Thanks openBrain

Code: Select all

sk =  FreeCADGui.Selection.getSelection()[0] 
print(sk.Name)
list_first=sk.Support[0]
big_list = list_first[0]
print("Much more = ",dir(big_list))
by freedman
Wed Dec 30, 2020 9:26 am
Forum: Python scripting and macros
Topic: How to read a sketch support feature name
Replies: 2
Views: 119

How to read a sketch support feature name

This is driving me nuts. I read the support but I can't get the name. Here is the code. sk = FreeCADGui.Selection.getSelection()[0] print(sk.Name) print("Sk=",sk.Support) You can see the report, tree, properties. I select sketch003 and run the code, it tells me the support is a PartDesign Pad and gi...